# class SS7TCAPTransactionANSI | ANSI SS7 TCAP transaction implementation. More...
Full name | `TelEngine::SS7TCAPTransactionANSI`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7TCAPTransaction [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum TCAPANSIComponentType { CompUnknown = 0x0, Local = 0x1, InvokeLast = 0xe9, ReturnResultLast = 0xea, ReturnError = 0xeb, Reject = 0xec, InvokeNotLast = 0xed, ReturnResultNotLast = 0xee, }
- enum ANSITransactionType { Unknown = 0x0, Unidirectional = 0xe1, QueryWithPermission = 0xe2, QueryWithoutPermission = 0xe3, Response = 0xe4, ConversationWithPermission = 0xe5, ConversationWithoutPermission = 0xe6, Abort = 0xf6, }

#### Public Methods

- SS7TCAPTransactionANSI (SS7TCAP* tcap, SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, u_int64_t timeout, bool initLocal = true)
- ~SS7TCAPTransactionANSI ()
- virtual SS7TCAPError handleData (NamedList& params, DataBlock& data)
- virtual SS7TCAPError update (SS7TCAP::TCAPUserTransActions type, NamedList& params, bool updateByUser = true)
- virtual SS7TCAPError handleDialogPortion (NamedList& params, bool byUser = true)
- virtual void updateToEnd ()
- virtual void updateState (bool byUser)
- virtual void requestContent (NamedList& params, DataBlock& data)

#### Public Static Methods

- static void encodePAbort (SS7TCAPTransaction* tr, NamedList& params, DataBlock& data)
- static SS7TCAPError decodePAbort (SS7TCAPTransaction* tr, NamedList& params, DataBlock& data)

#### Public Members

- static const TokenDict s_ansiTransactTypes[]

## Detailed Description

Implementation of SS7 Transactional Capabilities Application Part Transaction - specification ANSI

enum TCAPANSIComponentType { CompUnknown = 0x0, Local = 0x1, InvokeLast = 0xe9, ReturnResultLast = 0xea, ReturnError = 0xeb, Reject = 0xec, InvokeNotLast = 0xed, ReturnResultNotLast = 0xee, } | ### TCAPANSIComponentType

enum ANSITransactionType { Unknown = 0x0, Unidirectional = 0xe1, QueryWithPermission = 0xe2, QueryWithoutPermission = 0xe3, Response = 0xe4, ConversationWithPermission = 0xe5, ConversationWithoutPermission = 0xe6, Abort = 0xf6, } | ### ANSITransactionType

SS7TCAPTransactionANSI (SS7TCAP* tcap, SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, u_int64_t timeout, bool initLocal = true) | ### SS7TCAPTransactionANSI

Constructor

Parameters:

tcap | TCAP holding this transaction
type | Initiating type for transaction
transactID | Transaction ID
params | Decoded TCAP parameters for building the transaction
timeout | Transaction timeout
initLocal | True if the transaction was initiated locally, false if not

~SS7TCAPTransactionANSI () | ### ~SS7TCAPTransactionANSI

Destructor

SS7TCAPError handleData (NamedList& params, DataBlock& data) | ### handleData

[virtual]

Process transaction data and fill the NamedList with the decoded data

Parameters:

params | NamedList to fill with decoded data
data | Data to decode

Returns: A TCAP error encountered whilst decoding

Reimplemented from SS7TCAPTransaction.

SS7TCAPError update (SS7TCAP::TCAPUserTransActions type, NamedList& params, bool updateByUser = true) | ### update

[virtual]

An update request for this transaction

Parameters:

type | The type of transaction to which this transaction should be updated
params | Update parameter
updateByUser | True if the update is made by the local user, false if it's made by the remote end

Returns: A TCAP Error

Reimplemented from SS7TCAPTransaction.

SS7TCAPError handleDialogPortion (NamedList& params, bool byUser = true) | ### handleDialogPortion

[virtual]

Handle TCAP relevant dialog data

Parameters:

params | NamedList containing (if present) dialog information
byUser | True if the dialog information is provided by the local user, false otherwise

Returns: A report error

Reimplemented from SS7TCAPTransaction.

void encodePAbort (SS7TCAPTransaction* tr, NamedList& params, DataBlock& data) | ### encodePAbort

[static]

Encode P-Abort information

Parameters:

tr | The transaction on which the abort was signalled
params | NamedList reference from which to get the P-Abort information
data | DataBlock reference in which to insert the encoded P-Abort information

SS7TCAPError decodePAbort (SS7TCAPTransaction* tr, NamedList& params, DataBlock& data) | ### decodePAbort

[static]

Decode P-Abort TCAP message portion

Parameters:

tr | The transaction on which the abort was signalled
params | NamedList reference to fill with the decoded P-Abort information
data | DataBlock reference from which to decode P-Abort information

void updateToEnd () | ### updateToEnd

[virtual]

Update the state of this transaction to end the transaction

Reimplemented from SS7TCAPTransaction.

void updateState (bool byUser) | ### updateState

[virtual]

Update transaction state

Parameters:

byUser | True if update is requested by user, false if by remote

Reimplemented from SS7TCAPTransaction.

void requestContent (NamedList& params, DataBlock& data) | ### requestContent

[virtual]

Request content for this transaction

Parameters:

params | List of parameters of this tranaction
data | Data block to fill with encoded content

Reimplemented from SS7TCAPTransaction.

static const TokenDict s_ansiTransactTypes[] | ### s_ansiTransactTypes[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.